# include

abstract fun include(includes: Array<String>): PatternFilterable

Adds an ANT style include pattern. This method may be called multiple times to append new patterns and multiple patterns may be specified in a single call. If includes are not provided, then all files in this container will be included. If includes are provided, then a file must match at least one of the include patterns to be processed.

#### Return

this

#### Parameters

includes

a vararg list of include patterns

#### See also

PatternFilterable

Pattern Format

abstract fun include(includes: Iterable<String>): PatternFilterable

Adds an ANT style include pattern. This method may be called multiple times to append new patterns and multiple patterns may be specified in a single call. If includes are not provided, then all files in this container will be included. If includes are provided, then a file must match at least one of the include patterns to be processed.

#### Return

this

#### Parameters

includes

a Iterable providing more include patterns

#### See also

PatternFilterable

Pattern Format

abstract fun include(includeSpec: Spec<FileTreeElement>): PatternFilterable

Adds an include spec. This method may be called multiple times to append new specs. If includes are not provided, then all files in this container will be included. If includes are provided, then a file must match at least one of the include patterns or specs to be included.

#### Return

this

#### Parameters

includeSpec

the spec to add

#### See also

PatternFilterable

Pattern Format

abstract fun include(includeSpec: Closure): PatternFilterable

Adds an include spec. This method may be called multiple times to append new specs. The given closure is passed a org.gradle.api.file.FileTreeElement as its parameter. If includes are not provided, then all files in this container will be included. If includes are provided, then a file must match at least one of the include patterns or specs to be included.

#### Return

this

#### Parameters

includeSpec

the spec to add

#### See also

PatternFilterable

Pattern Format